Bug 1130141 - Rephrase warning in cryptsetup-reencrypt
Summary: Rephrase warning in cryptsetup-reencrypt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cryptsetup-reencrypt
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 6.6
Assignee: Ondrej Kozina
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 12:28 UTC by Ondrej Kozina
Modified: 2016-05-11 01:02 UTC (History)
8 users (show)

Fixed In Version: cryptsetup-reencrypt-1.6.4-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-11 01:02:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0946 normal SHIPPED_LIVE cryptsetup-reencrypt bug fix update 2016-05-10 22:55:49 UTC

Description Ondrej Kozina 2014-08-14 12:28:34 UTC
Description of problem:

 Alasdair Kergon 2014-08-13 18:01:41 EDT

The man page says:

       WARNING: The cryptsetup-reencrypt program is not resistant to hardware or kernel failures during reencryption (you can lose you data in this case).

       ALWAYS BE SURE YOU HAVE RELIABLE BACKUP BEFORE USING THIS TOOL.
       THIS TOOL IS EXPERIMENTAL.

When you run the tool it says:

  WARNING: this is experimental code, it can completely break your data.

I'm wondering if that runtime message should be changed to match the man page i.e. to tell you that you MUST take a backup because if the process is interrupted for any reason you will need to restore from it.

Version-Release number of selected component (if applicable):
cryptsetup-reencrypt-1.6.4-1.el6

Comment 1 Ryan Sawhill 2014-08-14 15:09:13 UTC
Should we clone this for RHEL 7.1 as well?

Comment 2 Ondrej Kozina 2014-08-14 15:14:10 UTC
It's not necessary. I would like to fix it in upstream as well. So it should go away with rebase in 7.1

Comment 4 Ondrej Kozina 2015-11-02 07:39:38 UTC
Not so benign warning has been rephrased in https://gitlab.com/cryptsetup/cryptsetup/commit/1623ee71abb5bccb69ff691857d8f674b4f6dba4

Comment 6 Ondrej Kozina 2016-01-18 16:00:22 UTC
The utility 'welcome' message has been dropped out. In the man mage there's no longer remark about the utility being experimental, but warning about power/hardware failure implications still apply.

Comment 7 Jan Stodola 2016-03-16 10:10:06 UTC
Retested with cryptsetup-reencrypt-1.6.4-2.el6, cryptsetup-reencrypt no longer warns about being experimental, this message has also been removed from its man page.

Moving to VERIFIED.

Comment 9 errata-xmlrpc 2016-05-11 01:02:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0946.html


Note You need to log in before you can comment on or make changes to this bug.